BEGIN
	FOR i IN (SELECT 'drop table "'|| table_name || '" CASCADE CONSTRAINTS' as droptable FROM user_tables WHERE table_name in (
	'HCL_CODE',
	'HLEVEL',
	'HIERARCHY',
	'HCL',
	'ARTEFACT',
	'ATT_GROUP',
	'CATEGORY',
	'CATEGORY_DATASET',
	'CATEGORY_DB_CONNECTION',
	'CATEGORY_SCHEME',
	'CATEGORY_USER',
	'CODELIST',
	'COM_COL_MAPPING_COLUMN',
	'COM_COL_MAPPING_COMPONENT',
	'COMPONENT',
	'COMPONENT_MAPPING',
	'CONCEPT',
	'CONCEPT_SCHEME',
	'AGENCY',
	'AGENCY_SCHEME',
	'DATACONSUMER',
	'DATACONSUMER_SCHEME',
	'DATAPROVIDER',
	'DATAPROVIDER_SCHEME',
	'ORGANISATION_UNIT',
	'ORGANISATION_UNIT_SCHEME',
	'STRUCTURE_SET',
	'CONNECTION_CATEGORY',
	'CONTACT',
	'CONTACT_DETAIL',
	'DATAFLOW',
	'DATAFLOW_CATEGORY',
	'DATAFLOW_DATASET',
	'DATAFLOW_DB_CONNECTION',
	'DATAFLOW_USER',
	'DATASET',
	'TM_TIME_TRANSCODING',
	'DATASET_COLUMN',
	'DB_CONNECTION',
	'DB_VERSION',
	'DIM_GROUP',
	'DSD',
	'DSD_CODE',
	'DSD_GROUP',
	'HEADER',
	'HEADER_LOCALISED_STRING',
	'ITEM',
	'LOCAL_CODE',
	'LOCALISED_STRING',
	'MA_USER',
	'MAPPING_SET',
	'PARTY','SEQUENCE_ID',
	'TRANSCODING',
	'TRANSCODING_CODELIST',
	'TRANSCODING_RULE',
	'TRANSCODING_RULE_DSD_CODE',
	'TRANSCODING_RULE_LOCAL_CODE',
	'TRANSCODING_SCRIPT',
	'ENUMERATIONS',
	'TEXT_FORMAT', 
	'DESC_SOURCE', 
	'TIME_TRANSCODING',
	'CATEGORISATION', 
	'ATTR_DIMS',
	'CODELIST_MAP',
	'CODE_MAP', 
	'STRUCTURE_MAP',
	'COMPONENT_MAP', 
	'ANNOTATION', 
	'ANNOTATION_TEXT', 
	'ARTEFACT_ANNOTATION',
	'ITEM_ANNOTATION',
	'COMPONENT_ANNOTATION', 
	'GROUP_ANNOTATION', 
	'CUBE_REGION', 
	'CONTENT_CONSTRAINT',
	'CONTENT_CONSTRAINT_ATTACHMENT',
	'CUBE_REGION_KEY_VALUE',
	'CUBE_REGION_VALUE',
	'ATT_MEASURE',
	'METADATA_ATTRIBUTE',
	'ITEM_SCHEME',
	'CONCEPT_ROLE',
	'TARGET_OBJECT',
	'COMPONENT_COMMON',
	'METADATA_TARGET',
	'METADATAFLOW',
	'REPORT_STRUCTURE',
	'REPORT_STRUCTURE_META_TARGET',
	'PROVISION_AGREEMENT',
	'STRUCTURE_USAGE',
	'METADATA_STRUCTURE_DEFINITION',
	'CONCEPT_TEXT_FORMAT',
	'REGISTRATION',
	'DATA_SOURCE',
	'CONTENT_CONSTRAINT_SOURCE',
	'REGISTRY',
	'USER_ACTION',
	'TM_TRANSCODING',
	'PERIOD_RULES',
	'TIME_COLUMN_CONFIG',
	'TIME_COLUMN_TYPE',
	'TIME_FORMAT_CONFIG',
	'TIME_PARTICLE_CONFIG',
	'TIME_TRANSCODING_TR',
	'DB_TIME_FORMAT',
	'TEMPLATE_MAPPING',
 	'TIME_PRE_FORMATED',
	'TEMP_PROCESS_CONSTRAINTS_TABLE',
	'ATTACH_TYPES',
	'PROXY_SETTINGS',
	'NSIWS',
	'META_COL_MAPPING_COMPONENT',
	'DATASET_PROPERTY',
	'DATASET_PROPERTY_TYPE'
	 )) LOOP
		dbms_output.put_line(i.droptable); 
		EXECUTE IMMEDIATE i.droptable;
	END LOOP;
END;
/
;
BEGIN
	FOR i IN (SELECT 'drop sequence '|| sequence_name as dropsequence from user_sequences where sequence_name in ('COMPONENT_MAPPING_MAP_ID_SEQ','CONTACT_CONTACT_ID_SEQ','CONTACT_DETAIL_CD_ID_SEQ','DATASET_DS_ID_SEQ','DATASET_COLUMN_COL_ID_SEQ','DB_CONNECTION_CONNECTION_I_SEQ','DB_VERSION_SYS_ID_SEQ','HEADER_HEADER_ID_SEQ','HEADER_LOCALISED_ST_HLS_ID_SEQ','MA_USER_USER_ID_SEQ','MAPPING_SET_MAP_SET_ID_SEQ','PARTY_PARTY_ID_SEQ','TRANSCODING_TR_ID_SEQ','TRANSCODING_RUL_TR_RULE_ID_SEQ','TR_SCRIPT_TR_SCRIPT_ID_SEQ','TEXT_FORMAT_SEQ', 'ARTEFACT_SEQ', 'ITEM_SEQ', 'COMPONENT_SEQ', 'DSD_GROUP_SEQ', 'LOCALISED_STRING_SEQ', 'DESC_SOURCE_SEQ','CODE_MAP_SEQ', 'COMPONENT_MAP_SEQ', 'ANNOTATION_SEQ', 'ANNOTATION_TEXT_SEQ', 'CUBE_REGION_SEQ', 'CUBE_REGION_KEY_VALUE_SEQ', 'DATA_SOURCE_ID_SEQ', 'REGISTRATION_DR_ID_SEQ','REGISTRY_ID_SEQ', 'USER_ACTION_UA_ID_SEQ', 'TIME_PARTICLE_CONF_TPC_ID_SEQ', 'NSIWS_ID_SEQ', 'IREF_SEQ', 'DATASET_PROPERTY_ID_SEQ')) loop
	dbms_output.put_line(i.dropsequence);
	EXECUTE IMMEDIATE i.dropsequence;
	END LOOP;
END;
/
;
BEGIN
	FOR i IN (SELECT 'drop trigger '|| trigger_name as droptrigger from user_triggers where trigger_name in ('SET_COMPONENT_MAPPING_MAP_ID','SET_CONTACT_CONTACT_ID','SET_CONTACT_DETAIL_CD_ID','SET_DATASET_DS_ID','SET_DATASET_COLUMN_COL_ID','SET_DB_CONNECTION_CONNECTION_I','SET_DB_VERSION_SYS_ID','SET_HEADER_HEADER_ID','SET_HEADER_LOCALISED_ST_HLS_ID','SET_MA_USER_USER_ID','SET_MAPPING_SET_MAP_SET_ID','SET_PARTY_PARTY_ID','SET_TRANSCODING_TR_ID','SET_TRANSCODING_RUL_TR_RULE_ID','SET_TR_SCRIPT_ID', 'SET_DESC_SOURCE_ID','SET_CODE_MAP_DCM_ID', 'SET_COMPONENT_MAP_CM_ID', 'SET_ANNOTATION_ANN_ID', 'SET_ANNOTATION_TEXT_ANN_TXT_ID', 'SET_CUBE_REGION_ID', 'SET_CUBE_REGION_KEY_VALUE_ID','COMPONENT_COMMON_COMP_ID', 'SET_DR_ID', 'SET_DATA_SOURCE_ID','SET_REGISTRY_ID', 'SET_USER_ACTION_UA_ID', 'SET_TIME_PARTICLE_CONF_TPC_ID', 'SET_NSIWS_ID', 'SET_DATASET_PROPERTY_ID')) loop
	dbms_output.put_line(i.droptrigger);
	EXECUTE IMMEDIATE i.droptrigger;
	END LOOP;
END;
/
;
